<template>
  <section id="cooperativa-qui-som">
    <div
      class="bg-fixed bg-center bg-cover fx-overlay fx-ovl-color flex flex-col justify-center"
      :style="{ 'background-image': `url(${background_image.image.src})` }"
    >
      <span class="absolute" role="img" :aria-label="background_image.description"></span>

      <article class="mx-4 my-20 sm:mx-12 md:max-w-xl xl:max-w-3xl xl:m-32">
        <h2 class="mb-16 text-white">{{ heading }}</h2>
        <div class="markdown" v-html="text" />
      </article>
    </div>
  </section>
</template>

<script>
export default {
  name: 'CooperativaQuiSom',
  props: {
    heading: String,
    text: String,
    background_image: Object,
  },
};
</script>

<style lang="postcss" scoped>
.markdown >>> p {
  @apply mt-6 text-lg text-white;
}
@screen sm {
  .markdown >>> p {
    @apply text-2xl;
  }
}
@screen xl {
  .markdown >>> p {
    @apply text-3xl;
  }
}
</style>